package com.zswl.cloud.springBatch.client.service;


import com.github.microservice.auth.client.content.ResultContent;
import com.zswl.cloud.springBatch.client.model.video2.RechargeRequest;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "springbatchservice/manager/video2")
public interface Video2Service {

    @ApiOperation("下单")
    @RequestMapping(value = "rechargeOrder", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
     ResultContent<String> rechargeOrder(@RequestBody RechargeRequest rechargeRequest);

//    @ApiOperation("充值查询")
//    @RequestMapping(value = "rechargeQuery", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
//    ResultContent<RechargeQueryResp> rechargeQuery(@RequestParam("outTradeNo") String outTradeNo);
}
